#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_without	tests	# unit tests

%define 	module	sphinx_rtd_theme
Summary:	ReadTheDocs.org theme for Sphinx
Summary(pl.UTF-8):	Motyw ReadTheDocs.org dla Sphinksa
Name:		python-%{module}
Version:	0.4.3
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx_rtd_theme/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx_rtd_theme/%{module}-%{version}.tar.gz
# Source0-md5:	6c50f30bc39046f497d336039a0c13fa
URL:		https://github.com/snide/sphinx_rtd_theme/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
BuildRequires:	python-readthedocs-sphinx-ext
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-readthedocs-sphinx-ext
%endif
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a mobile-friendly Sphinx theme made for readthedocs.org.

%description -l pl.UTF-8
Ten pakiet zawiera przyjazny dla urządzeń przenośnych motyw Sphinksa
wykonany przez readthedocs.org.

%package -n python3-%{module}
Summary:	ReadTheDocs.org theme for Sphinx
Summary(pl.UTF-8):	Motyw ReadTheDocs.org dla Sphinksa
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
This is a mobile-friendly Sphinx theme made for readthedocs.org.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet zawiera przyjazny dla urządzeń przenośnych motyw Sphinksa
wykonany przez readthedocs.org.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m pytest tests
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Tue Dec 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sphinx_rtd_theme.git;a=log;h=master

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 3985aa6
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0f12ad4
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Sep 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 6c3b921
- updated to 0.4.3

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 65e13b3
- updated to 0.4.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b605751
- release 2 (by relup.sh)

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 9eb3cc7
- updated to 0.2.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fe58b43
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 168104d
- updated to 0.1.9

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 78c917f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a7b0d66
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 415c71e
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> abdcb54
- release 2 (by relup.sh)

* Tue Jun 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 759a6ef
- pl

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 8e8cef0
- new package

